> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cakeip.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取代理IP服务器地址

> 代理商获取代理IP服务器地址



## OpenAPI

````yaml POST /ip/getIpAddress
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://apiv1.cakeip.com/openapi
security: []
paths:
  /ip/getIpAddress:
    post:
      description: 代理商获取代理IP服务器地址
      requestBody:
        description: Plant to add to the store
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetIpAddressParams'
        required: true
      responses:
        '200':
          description: 响应成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetIpAddressResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GetIpAddressParams:
      type: object
      description: 获取代理IP服务器地址请求参数
      properties:
        appKey:
          type: string
          description: AppKey密钥
        params:
          type: object
          properties:
            provider:
              type: integer
              format: int32
              description: 池子类型：1=优选池（默认）。注：2=标准池已下架，服务端会静默重定向到 1，响应里会附带 _deprecation 警告
              minimum: 1
              maximum: 1
              enum:
                - 1
              default: 1
              example: 1
            protocol:
              type: string
              description: 协议类型：优选池仅支持 socks5
              enum:
                - socks5
              example: socks5
          description: 动态参数集合
      required:
        - appKey
    GetIpAddressResponse:
      type: object
      description: 代理IP服务器地址响应
      properties:
        code:
          default: 0
          description: 状态码，0为操作成功
          type: integer
          format: int32
          example: 0
          enum:
            - 0
            - -1
        msg:
          description: 响应消息
          type: string
        data:
          description: 代理服务器信息
          type: object
          properties:
            hosts:
              type: array
              description: 代理服务器域名列表
              items:
                type: string
              example:
                - t1.cakeip.app
                - t2.cakeip.app
                - t3.cakeip.app
            port:
              type: integer
              format: int32
              description: 端口
              example: 10000
            protocol:
              type: string
              description: 协议类型（优选池仅 socks5）
              enum:
                - socks5
              example: socks5
      required:
        - name
    Error:
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
      required:
        - error
        - message

````